Bug 841208 - pulp-consumer RPM doesn't create needed directory: /etc/pki/pulp/consumer
pulp-consumer RPM doesn't create needed directory: /etc/pki/pulp/consumer
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
2.0.6
Unspecified Unspecified
high Severity unspecified
: ---
: Sprint 38
Assigned To: John Matthews
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-18 08:27 EDT by Preethi Thomas
Modified: 2013-09-09 12:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-09 12:03:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2012-07-18 08:27:25 EDT
Description of problem:
with selinux enforcing I installed pulp consumer. After agent restart registering the consumer failed with permission denied error. After that I tried to install the pulp-selinux on the consumer and the installation failed.

Version-Release number of selected component (if applicable):
pulp-rpm-consumer-client-0.0.314-1.el6.noarch


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
[root@pulp-client ~]# pulp-consumer -u admin -p admin register --id pulp-client2
Write permission is required for /etc/pki/pulp/consumer/ to perform this
operation.

An unexpected error has occurred. More information can be found in the client
log file ~/.pulp/consumer.log.

[root@pulp-client ~]# getenforce
Enforcing
[root@pulp-client ~]# yum install pulp-selinux
Loaded plugins: product-id, security, subscription-manager
Updating certificate-based repositories.
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package pulp-selinux.noarch 0:0.0.314-1.el6 will be installed
--> Processing Dependency: policycoreutils-python for package: pulp-selinux-0.0.314-1.el6.noarch
--> Processing Dependency: /usr/sbin/semanage for package: pulp-selinux-0.0.314-1.el6.noarch
--> Processing Dependency: /usr/sbin/semanage for package: pulp-selinux-0.0.314-1.el6.noarch
--> Finished Dependency Resolution
Error: Package: pulp-selinux-0.0.314-1.el6.noarch (pulp-v2-testing)
           Requires: policycoreutils-python
Error: Package: pulp-selinux-0.0.314-1.el6.noarch (pulp-v2-testing)
           Requires: /usr/sbin/semanage
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest


Expected results:


Additional info:
Comment 1 John Matthews 2012-07-18 11:04:00 EDT
The fix for the below is to be sure the pulp-consumer RPM includes '/etc/pki/pulp/consumer'.

  "Write permission is required for /etc/pki/pulp/consumer/ to perform this operation."
Comment 2 John Matthews 2012-07-18 14:03:09 EDT
I cannot recreate the selinux issue.
I created a new el6.3 instance and installed pulp-selinux with no issues.
I am thinking the issue originally reported may have been from a bad yum cache.

The issue with pulp-consumer needing the /etc/pki/pulp/consumer directory in the RPM has been addressed with below commit.

Fix in CR1 branch
http://git.fedorahosted.org/git/?p=pulp.git;a=commitdiff;h=590c51e52e105cdc2b6483713d3eebf106cd7b11


Fix in master:
http://git.fedorahosted.org/git/?p=pulp.git;a=commitdiff;h=37d3e4d73167aa5d820ac48ba8c795ae38bb6d64
Comment 3 Jeff Ortel 2012-07-18 14:49:51 EDT
build: 0.314-2.
Comment 4 Preethi Thomas 2012-07-20 09:39:51 EDT
[root@pulp-client ~]# pulp-consumer -u admin -p admin register --id pulp-client
Consumer [pulp-client] successfully registered

[root@pulp-client ~]# rpm -q pulp-rpm-consumer-client
pulp-rpm-consumer-client-0.0.316-1.el6.noarch
[root@pulp-client ~]# pulp-consumer -u admin -p admin register --id pulp-client
Consumer [pulp-client] successfully registered
Comment 5 Preethi Thomas 2013-01-09 12:03:57 EST
Pulp v2.0 released

Note You need to log in before you can comment on or make changes to this bug.